Rockbox Technical Forums

Installation / Removal => Manual Installation => Apple - Installation/Removal => Topic started by: R32man on May 14, 2008, 12:02:27 AM

Title: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 14, 2008, 12:02:27 AM
Hi

Have been using Rockbox for many months on my 80G Ipod, Ipod was purchased 2 years ago. Updated the firmware to 1.3 via Itunes and did a complete a total restore at the same time as I converted my Flac to Ogg format and wanted to start with a clean sheet.

After following the instructions that has worked many times before! it now does not work  >:( the only thing I can think of is the Firmware upgrade to 1.3! also I noticed an increase on this forum and generally when I have googled for this.

The error message is

Rockbox boot loader
Version: 2.0
IPOD version: 0xFFFFFFFF
TOSHIBA MK8010gah
Partition 1: 0x0B 38096 MB
Loading Rockbox...
Error!
Can't load rockbox.ipod:
File not found
Hold MENU+SELECT to reboot
then SELECT+PLAY for disk mode

I have even downloaded the R17500 release today! no success ..
I have even downloaded the rbutilqt-v1.0.5 file and followed the installation! no success ...

I have almost lost hope unless some one can help me
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Llorean on May 14, 2008, 12:06:55 AM
Where, on your player, *exactly* is the file rockbox.ipod?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 14, 2008, 12:09:52 AM
HI

It is located inside this folder

I:\.rockbox\rockbox.ipod

Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Llorean on May 14, 2008, 12:15:14 AM
And what format is the partition it's on?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 14, 2008, 12:21:44 AM
HI

See below

(http://i169.photobucket.com/albums/u229/zirconium001/Untitled-4.jpg)

slightly larger

http://i169.photobucket.com/albums/u229/zirconium001/Untitled-4.jpg

Shaun
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Llorean on May 14, 2008, 01:37:04 AM
Can you run a chkdsk on your device?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 14, 2008, 12:42:12 PM
done that yesterday.. no errors reported

There must be something strange going on because this is another case

http://forums.rockbox.org/index.php?topic=15387.0

and if you do a search more and more people are having the same error


+++++++++++++ update ++++++++++++++

Can anyone help me? this is really frustrating now! does anyone no if they are working on a fix ?

+++++++++++++++++++++++++++++++++
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: GodEater on May 15, 2008, 09:34:32 AM
Who is "they" ?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 15, 2008, 12:41:34 PM
They are the people that spend the time and have the skills to write these programs in the 1st place
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: gevaerts on May 15, 2008, 12:51:53 PM
They are the people that spend the time and have the skills to write these programs in the 1st place

You mean like the people who have been answering in this thread ?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: MarcGuay on May 15, 2008, 12:55:04 PM
Couldn't you just roll back the firmware to the older version that worked fine with Rockbox?  It's not the ideal, obviously, but you seem pretty worked up.
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: gevaerts on May 15, 2008, 12:56:26 PM
Couldn't you just roll back the firmware to the older version that worked fine with Rockbox?  It's not the ideal, obviously, but you seem pretty worked up.


Other people have tried this. It doesn't help
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on May 15, 2008, 01:18:26 PM
Quote
It's not the ideal, obviously, but you seem pretty worked up.

Yes I am a little pissed, because I have been using Rockbox for many months and love it! then I upgraded to Firmware 1.3 and now I have nothing. I just keep my fingers crossed that someone will resolve this issue.. I live in hope  ;D

I am not upset with Rockbox, as I see this as the doing of apple!!
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: nicke2323 on June 04, 2008, 03:37:18 PM
I've found a good deal on a 80GB ipod Video, but I just learned it has the 1.3 firmware. Has anyone gotten Rockbox to work on 1.3? I'd appreciate a quick reply - I have to say yes or no tomorrow. Thanks!
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: gevaerts on June 04, 2008, 03:51:29 PM
I've found a good deal on a 80GB ipod Video, but I just learned it has the 1.3 firmware. Has anyone gotten Rockbox to work on 1.3? I'd appreciate a quick reply - I have to say yes or no tomorrow. Thanks!

The problem can be fixed by using an svn bootloader. Once a new bootloader is released it will work (I don't know when that will be though)
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: nicke2323 on June 06, 2008, 04:44:54 AM

The problem can be fixed by using an svn bootloader. Once a new bootloader is released it will work (I don't know when that will be though)

Thanks! I got the Ipod. Are there any developers working on a new bootloader that will work with the 1.3 firmware?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: AlexP on June 06, 2008, 05:39:57 AM
The current bootloader in SVN does work with firmware version 1.3, so no-one needs to work on it in that sense

The problem can be fixed by using an svn bootloader.

You can feed the bootloader you build from current SVN to ipodpatcher manually to install on your ipod (I don't have an ipod myself, so can't tell you how).  To make it easier, a new version of ipodpatcher with the new bootloader built in needs to be released - this requires someone with the know-how to check it out first, then give the go ahead.
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Llorean on June 06, 2008, 06:17:38 AM
I intend to push for a new round of bootloaders for all targets at devcon. It's more or less trivial for the iPods (easy to test, safe to test, etc) but much more difficult for some other targets (H100/H300 for example require hardware to recover if the bootloader is bad) but I'd like to see all of them working the same way (not showing all that debug text, unless the user presses a button to ask for it, for example).

So, probably at worst case, you'll have to wait until the end of the month for an iPodPatcher to include it. At best case, well, whenever someone compiles bootloaders for all iPods, merges them in, and talks to the right person to get it uploaded. Preferably after at least having someone test each one to make sure it boots.

Or, as BigBambi said, compile one yourself. Doing so is fairly easy (doesn't require any actual programming knowledge) and using SVN bootloaders for iPods is quite safe. If it doesn't work out, you can always just downgrade safely back down to the official currently provided one.
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: cool_walking_ on June 06, 2008, 06:36:21 AM
What's all this then? I have a 5G iPod with firmware 1.3 and Rockbox works fine  ???

There was also a thread I replied to (which I can't seem to find now) where someone updated to 1.3 over the top of an existing Rockbox install and simply reinstalled the Rockbox bootloader to have Rockbox working again.
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Llorean on June 06, 2008, 06:42:25 AM
I dunno. I don't remember any specific fix to this, or even anyone verifying 1.3 was a problem. I was just speaking to new bootloader availability. There have been some changes semi-recently that will basically affect all bootloaders for all (or nearly all) targets. Nothing really functional though, just aesthetic for most of them. Most functional changes are a bit older, but some still haven't been rolled out yet (most notably for the H300 I think).
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: AlexP on June 06, 2008, 06:46:17 AM
What's all this then? I have a 5G iPod with firmware 1.3 and Rockbox works fine  ???

There was also a thread I replied to (which I can't seem to find now) where someone updated to 1.3 over the top of an existing Rockbox install and simply reinstalled the Rockbox bootloader to have Rockbox working again.

As Llorean, I was going on someone saying earlier that a current SVN bootloader fixes the problem (implying that the current ipodpatcher bootloaders have a problem), and commenting on how to use a SVN bootloader.  I don't actually know if this is the case :)
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: cool_walking_ on June 06, 2008, 08:12:34 AM
I found that thread I was talking about:
http://forums.rockbox.org/index.php?topic=14208.0
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: nicke2323 on June 06, 2008, 03:36:01 PM
What's all this then? I have a 5G iPod with firmware 1.3 and Rockbox works fine  ???

There was also a thread I replied to (which I can't seem to find now) where someone updated to 1.3 over the top of an existing Rockbox install and simply reinstalled the Rockbox bootloader to have Rockbox working again.

I finally found the time to sit down and try installing Rockbox on my new iPod Video with firmware 1.3. Result? It worked immediately, even with the standard bootloader installed with ipodpatcher.

God I love this program - a huge thanks to all devs involved! Enough praise now, time to download some nice themes ...  ;D
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on June 07, 2008, 01:36:18 AM
well you must have a special 80Gb ipod, because I tried it again this morning and I got the same error message. Downloaded everything again and still no luck
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Chronon on June 07, 2008, 01:48:02 AM
gevaerts seems to think that an SVN bootloader would help.  Have you tried that?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: R32man on June 07, 2008, 03:55:27 AM
ok I need help now, how do I find this!!

I downloaded a file

rockbox-ipodvideo64mb

Is That it?
Title: Re: Help! Can't Install after Firmware 1.3 update by Apple
Post by: Chronon on June 07, 2008, 08:40:15 PM
You need to download the source tree and build the bootloader from that.  Check out the SimpleGuideToCompiling page in the wiki for an overview of the process.  Note that in the "Configuring Build" section you should enter B instead of N (as should be clear when you run the configure script.

Or... as Llorean said, wait until Ipodpatcher includes this version (possibly near the end of the month).